## oaklisp 1.3.1

=== Makefile ===
.PHONY: all install clean
all install clean:
	$(MAKE) -C src $@
	$(MAKE) -C doc $@
	$(MAKE) -C man $@

RELNAME := $(shell date +'%d-%b-%Y')

RTARGET=oaklisp-$(RELNAME)

.PHONY: release

release: Makefile README
	mkdir $(RTARGET)
	cp -a $^ $(RTARGET)/
	mkdir $(RTARGET)/src
	$(MAKE) -C src RTARGET=../$(RTARGET)/src release
	mkdir $(RTARGET)/doc
	$(MAKE) -C doc RTARGET=../$(RTARGET)/doc release
	mkdir $(RTARGET)/man
	cp -a man/Makefile $(RTARGET)/man/
	mkdir $(RTARGET)/man/man1
	cp -a man/man1/oaklisp.1 $(RTARGET)/man/man1/
	mkdir $(RTARGET)/debian
	cp -a debian/{rules,README.debian,changelog,control,copyright,dirs,menu} $(RTARGET)/debian/
	tar zcf $(RTARGET).tar.gz $(RTARGET)

=== doc/Makefile ===
.PHONY: all release clean

all clean:
	$(MAKE) -C lang $@
	$(MAKE) -C lim  $@

release: Makefile mandefs.tex oakman.bib
	cp -a $^ $(RTARGET)/
	mkdir $(RTARGET)/lang
	$(MAKE) -C lang RTARGET=../$(RTARGET)/lang release
	mkdir $(RTARGET)/lim
	$(MAKE) -C lim  RTARGET=../$(RTARGET)/lim  release

.PHONY: install
install:
	$(MAKE) -C lang lang.ps
	$(MAKE) -C lim  lim.ps
	cp -a lang/lang.ps lim/lim.ps $(DESTDIR)$(prefix)/doc/oaklisp/

=== man/Makefile ===
.PHONY: all install clean

all:

install:
	cp -a man1/oaklisp.1 $(DESTDIR)$(prefix)/man/man1/

clean:

=== src/Makefile ===
.PHONY: all install clean

all clean:
	$(MAKE) -C emulator $@
	$(MAKE) -C world $@

install:
	$(MAKE) -C emulator CPPFLAGS='-DFAST -DDEFAULT_WORLD=\"$(prefix)/lib/oaklisp/oakworld.bin\"' install
	$(MAKE) -C world    install

.PHONY: release
release: COPYING Makefile CREDITS
	cp -a $^ $(RTARGET)/
	mkdir $(RTARGET)/emulator
	$(MAKE) -C emulator RTARGET=../$(RTARGET)/emulator release
	mkdir $(RTARGET)/world
	$(MAKE) -C world    RTARGET=../$(RTARGET)/world    release

=== doc/lang/Makefile ===
all: lang.dvi

SRC = control.tex cover.tex dynamic.tex intro.tex io.tex lang.tex \
      locales.tex methods.tex misc.tex numbers.tex sequences.tex \
      sides.tex types.tex user.tex

OSRC = seqhier.ips numhier.ips

lang.dvi: $(SRC) $(OSRC) ../mandefs.tex
	-rm lang.ind
	-latex lang </dev/null
	bibtex lang
	makeindex lang
	latex lang

lang.ps: lang.dvi $(OSRC)
	dvips -o lang.ps lang

#lang.ind: lang.idx
#	makeindex lang

.PHONY: release
release: Makefile $(SRC) $(OSRC)
	cp -a $^ $(RTARGET)/

.PHONY: clean
clean:
	-rm -f lang.{bbl,blg,dvi,ps,idx,ilg,ind,log,toc} *.aux

=== doc/lim/Makefile ===
all: lim.dvi

SRC = admin.tex boot.tex bytecode.tex compiler.tex cover.tex \
      dataform.tex intro.tex language.tex lim.tex methods.tex \
      oaklevel.tex stack.tex

lim.dvi: $(SRC) ../mandefs.tex
	-rm lim.ind
	-latex lim </dev/null
	bibtex lim
	makeindex lim
	latex lim

lim.ps: lim.dvi
	dvips -o lim.ps lim

.PHONY: release
release: Makefile $(SRC)
	cp -a $^ $(RTARGET)/

.PHONY: clean
clean:
	-rm -f lim.{bbl,blg,dvi,ps,idx,ilg,ind,log,toc} *.aux

=== src/emulator/Makefile ===
# Copyright (c) 1999 Barak Pearlmutter
# Distributed under the GNU General Public License v2 or later

psrc=oaklisp.c
osrc=cmdline.c data.c gc.c loop.c signal.c stacks.c timers.c \
	weak.c worldio.c xmalloc.c instr.c
hsrc=cmdline.h config.h data.h gc.h loop.h signal.h stacks.h stacks-loop.h \
	timers.h weak.h worldio.h xmalloc.h instr.h

progs=$(psrc:.c=)
pobj=$(psrc:.c=.o)
oobj=$(osrc:.c=.o)

all: $(progs) TAGS

# automatically update #include dependencies
dfiles = $(psrc:.c=.d) $(osrc:.c=.d)
-include $(dfiles)
override CPPFLAGS+=-MMD

CFLAGS=-O2 -g -Wall

OAK=oaklisp

instr-data.c: instruction-table.oak
	$(OAK) $(OAKFLAGS) -- \
		-locale compiler-locale -load instruction-table \
		-eval '(dump-instruction-table "$@")' \
		-exit
	-indent $@

# Things you might want to modify and uncomment:
# CPPFLAGS+=-DMAX_NEW_SPACE_SIZE=16000000
# CPPFLAGS+=-DDEFAULT_WORLD=\"/usr/share/lib/oaklisp/oakworld.bin\"
# CPPFLAGS+=-DFAST

$(progs): $(pobj) $(oobj)

TAGS: $(psrc) $(osrc) $(hsrc)
	etags $^ > $@

.PHONY: install
install: $(progs)
	cp -a $(progs) $(DESTDIR)$(prefix)/bin/
	cd $(DESTDIR)$(prefix)/bin; strip $(progs)

.PHONY: clean
clean:
	-rm -f $(progs) $(psrc:.c=.o) $(osrc:.c=.o) $(dfiles) TAGS

.PHONY: release
release: $(psrc) $(osrc) $(hsrc) Makefile instruction-table.oak
	cp -a $^ $(RTARGET)/

.PHONY: indent
indent: $(psrc) $(osrc) $(hsrc) 
	indent $^ --no-space-after-casts --no-space-after-function-call-names

=== src/world/Makefile ===
# Bigendian machines need bigendian binary oaklisp worlds, so non-cold
# worlds are only compatible across machines of the same endianity.

all: oakworld.bin

-include Makefile-vars

ALLOAFILES = $(TOOLFILES) $(MAKEFILES) $(FILESFILES) $(COLDFILES) \
		$(MISCFILES) $(COMPFILES) $(RNRSFILES)

SOURCE = $(ALLOAFILES:.oa=.oak) Makefile

# The Oaklisp emulator executable
OAK=oaklisp

# Flags for the emulator
OAKFLAGS=-trace-gc=1

# How to compile oaklisp source files into oaklisp bytecode object files:
.SUFFIXES: .oa .oak

%.oa : %.oak ; $(OAK) $(OAKFLAGS) -- --compile $* --exit

# How to build a new cold world using the world builder tool:
new.cold: $(COLDFILES) $(TOOLFILES)
	-rm -f new.cold new.sym
	$(OAK) $(OAKFLAGS) \
	   -- \
	   --load tool \
	   --eval "(tool-files '($(COLDFILESD:.oa=)) 'new)" \
	   --exit

# How to boot cold world into warm world:

oakworld-1.bin: new.cold
	 $(OAK) $(OAKFLAGS) --world new.cold --dump $@

# load successive layers of functionality onto the world

oakworld-2.bin: oakworld-1.bin $(MISCFILES)
	$(OAK) $(OAKFLAGS) --world oakworld-1.bin --dump $@ \
	   -- \
	   $(foreach f, $(MISCFILES:.oa=), --load $(f)) \
	   --exit

oakworld-3.bin: oakworld-2.bin $(COMPFILES)
	 $(OAK) $(OAKFLAGS) --world oakworld-2.bin --dump $@ \
	   -- \
	   --locale compiler-locale \
	   $(foreach f, $(COMPFILES:.oa=), --load $(f)) \
	   --locale system-locale --exit

oakworld.bin: oakworld-3.bin $(RNRSFILES)
	$(OAK) $(OAKFLAGS) --world oakworld-3.bin --dump $@ \
	-- \
	-eval '(define-instance scheme-locale locale (list system-locale))'\
	-locale scheme-locale \
	$(foreach f, $(RNRSFILES:.oa=), --load $(f)) \
	-locale system-locale --exit

# How to rebuild variables included by this Makefile itself:

Makefile-vars: $(MAKEFILES) $(FILESFILES)
	$(OAK) $(OAKFLAGS) \
	   -- \
	   --load files --load make-makefile --eval '(make-makefile "$@")' \
	   --exit

.PHONY: install
install: oakworld.bin
	cp -a $^ $(DESTDIR)$(prefix)/lib/oaklisp/

.PHONY: clean
clean: clean-oa-files
	-rm -f oakworld{-1,-2,-3,}.bin new.cold new.sym

.PHONY: clean-oa-files
clean-oa-files:
	-rm -f $(ALLOAFILES)

## What goes in an official release:

.PHONY: release
release: $(SOURCE) $(GRAVY) Makefile-vars oakworld.bin
	cp -a $^ $(RTARGET)/

=== debian/changelog ===
oaklisp (1.3.1) unstable; urgency=low

  * Initial Release.

 -- Barak Pearlmutter <bap@cs.unm.edu>  Fri,  7 Jan 2000 04:29:57 -0500

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: oaklisp
Section: interpreters
Priority: optional
Maintainer: Barak Pearlmutter <bap@cs.unm.edu>
Standards-Version: 2.5.0

Package: oaklisp
Architecture: any
Depends: ${shlibs:Depends}
Description: An object-oriented dialect of Scheme.
 Oaklisp is a dialect of Scheme that combines full lexical scoping
 with first-class types.  It uses a byte-coded implementation, but is
 reasonably fast anyway.  Complete with bignums, formatted output,
 transparent delays, RnRS compatibility package, all the luxuries.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=oaklisp

build:
	$(checkdir)
	
	$(MAKE) CFLAGS="-O2 -g -Wall" CPPFLAGS=-DFAST
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) install DESTDIR=`pwd`/debian/tmp prefix=/usr
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## oaklisp 1.3.3

=== Makefile ===
# This file is part of Oaklisp.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# The GNU GPL is available at http://www.gnu.org/licenses/gpl.html
# or from the Free Software Foundation, 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA

.PHONY: all install clean
all install clean:
	$(MAKE) -C src $@
	$(MAKE) -C doc $@
	$(MAKE) -C man $@

=== doc/Makefile ===
# This file is part of Oaklisp.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# The GNU GPL is available at http://www.gnu.org/licenses/gpl.html
# or from the Free Software Foundation, 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA

# This value of prefix will usually be overridden
prefix=/usr/local

.PHONY: all clean

all clean:
	$(MAKE) -C lang $@
	$(MAKE) -C lim  $@

d=$(DESTDIR)$(prefix)/share/doc/oaklisp

.PHONY: install
install:
	$(MAKE) -C lang lang.ps
	$(MAKE) -C lim  lim.ps
	mkdir --parents $d
	cp -a lang/lang.ps lim/lim.ps $d/

=== man/Makefile ===
# This file is part of Oaklisp.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# The GNU GPL is available at http://www.gnu.org/licenses/gpl.html
# or from the Free Software Foundation, 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA

# This value of prefix will usually be overridden
prefix=/usr/local

d=$(DESTDIR)$(prefix)/share/man/man1

.PHONY: all install clean

all:

install:
	mkdir --parents $d
	cp -a man1/oaklisp.1 $d/

clean:

=== src/Makefile ===
# This file is part of Oaklisp.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# The GNU GPL is available at http://www.gnu.org/licenses/gpl.html
# or from the Free Software Foundation, 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA

# This value of prefix will usually be overridden
prefix=/usr/local

.PHONY: all install clean

CPPFLAGS=-DFAST

all install clean:
	$(MAKE) -C emulator $@
	$(MAKE) -C world $@

=== doc/lang/Makefile ===
--- 
+++ 
@@ -1,3 +1,19 @@
+# This file is part of Oaklisp.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# The GNU GPL is available at http://www.gnu.org/licenses/gpl.html
+# or from the Free Software Foundation, 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA
+
 all: lang.dvi
 
 SRC = control.tex cover.tex dynamic.tex intro.tex io.tex lang.tex \
@@ -19,10 +35,6 @@
 #lang.ind: lang.idx
 #	makeindex lang
 
-.PHONY: release
-release: Makefile $(SRC) $(OSRC)
-	cp -a $^ $(RTARGET)/
-
 .PHONY: clean
 clean:
 	-rm -f lang.{bbl,blg,dvi,ps,idx,ilg,ind,log,toc} *.aux

=== doc/lim/Makefile ===
--- 
+++ 
@@ -1,3 +1,19 @@
+# This file is part of Oaklisp.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# The GNU GPL is available at http://www.gnu.org/licenses/gpl.html
+# or from the Free Software Foundation, 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA
+
 all: lim.dvi
 
 SRC = admin.tex boot.tex bytecode.tex compiler.tex cover.tex \
@@ -14,10 +30,6 @@
 lim.ps: lim.dvi
 	dvips -o lim.ps lim
 
-.PHONY: release
-release: Makefile $(SRC)
-	cp -a $^ $(RTARGET)/
-
 .PHONY: clean
 clean:
 	-rm -f lim.{bbl,blg,dvi,ps,idx,ilg,ind,log,toc} *.aux

=== src/emulator/Makefile ===
# This file is part of Oaklisp.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# The GNU GPL is available at http://www.gnu.org/licenses/gpl.html
# or from the Free Software Foundation, 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA

# Copyright (c) 1999 Barak A. Pearlmutter
# Distributed under the GNU General Public License v2 or later

# This value of prefix will usually be overridden
prefix=/usr/local

psrc=oaklisp.c
osrc=cmdline.c data.c gc.c loop.c signal.c stacks.c timers.c weak.c worldio.c xmalloc.c instr.c threads.c
hsrc=cmdline.h config.h data.h gc.h loop.h signal.h stacks.h stacks-loop.h timers.h weak.h worldio.h xmalloc.h instr.h threads.h

progs=$(psrc:.c=)
pobj=$(psrc:.c=.o)
oobj=$(osrc:.c=.o)

all: $(progs)

CFLAGS=-O2 -g -Wall
LOADLIBES=-lpthread

OAK=oaklisp

# bootstrapping problem: to compile the emulator we need a working
# oaklisp to generate instr-data.c.

instr-data.c: instruction-table.oak
	$(OAK) $(OAKFLAGS) -- \
		--locale compiler-locale \
		--load instruction-table \
		--eval '(dump-instruction-table "$@")' \
		--exit
	-indent $@

# Things you might want to modify and uncomment:
# CPPFLAGS+=-DMAX_NEW_SPACE_SIZE=16000000
# CPPFLAGS+=-DDEFAULT_WORLD=\"/usr/share/lib/oaklisp/oakworld.bin\"
# CPPFLAGS+=-DFAST

CPPFLAGS+=-DDEFAULT_WORLD=\"$(prefix)/lib/oaklisp/oakworld.bin\"

$(progs): $(pobj) $(oobj)

# automatically update #include dependencies
dfiles = $(psrc:.c=.d) $(osrc:.c=.d)
-include $(dfiles)
override CPPFLAGS+=-MMD

TAGS: $(psrc) $(osrc) $(hsrc)
	etags $^ > $@

d=$(DESTDIR)$(prefix)/bin

.PHONY: install
install: $(progs)
	mkdir --parents $d
	cp -a $(progs) $d/
	cd $d; strip $(progs)

.PHONY: clean
clean:
	-rm -f $(progs) $(psrc:.c=.o) $(osrc:.c=.o) $(dfiles) TAGS

.PHONY: indent
indent: $(psrc) $(osrc) $(hsrc) 
	indent --no-space-after-casts --no-space-after-function-call-names $^

=== src/world/Makefile ===
# This file is part of Oaklisp.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# The GNU GPL is available at http://www.gnu.org/licenses/gpl.html
# or from the Free Software Foundation, 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA

# This value of prefix will usually be overridden
prefix=/usr/local

# Bigendian machines need bigendian binary oaklisp worlds, so non-cold
# worlds are only compatible across machines of the same endianity.

all: oakworld.bin

-include Makefile-vars

ALLOAFILES += $(TOOLFILES)
ALLOAFILES += $(MAKEFILES)
ALLOAFILES += $(FILESFILES)
ALLOAFILES += $(COLDFILES)
ALLOAFILES += $(MISCFILES)
ALLOAFILES += $(COMPFILES)
ALLOAFILES += $(RNRSFILES)

SOURCE = $(ALLOAFILES:.oa=.oak) Makefile

# The Oaklisp emulator executable.
# Use "OAK=oaklisp" unless compiling new emulator.
OAK = ../emulator/oaklisp

# Flags for the emulator.
# When bootstrapping add "OAKFLAGS+=--world ...../oakworld.bin"
OAKFLAGS = --trace-gc=1

# How to compile oaklisp source files into oaklisp bytecode object files:
.SUFFIXES: .oa .oak
%.oa : %.oak ; $(OAK) $(OAKFLAGS) -- --compile $* --exit

# How to build a new cold world using the world builder tool:
new.cold: $(COLDFILES) $(TOOLFILES)
	-rm -f new.cold new.sym
	$(OAK) $(OAKFLAGS) \
	   -- \
	   --load tool \
	   --eval "(tool-files '($(COLDFILESD:.oa=)) 'new)" \
	   --exit

# How to boot cold world into warm world:
oakworld-1.bin: new.cold
	 $(OAK) $(OAKFLAGS) --world new.cold --dump $@

# load successive layers of functionality onto the world

oakworld-2.bin: oakworld-1.bin $(MISCFILES)
	$(OAK) $(OAKFLAGS) --world oakworld-1.bin --dump $@ \
	   -- \
	   $(foreach f, $(MISCFILES:.oa=),--load $(f)) \
	   --exit

oakworld-3.bin: oakworld-2.bin $(COMPFILES)
	 $(OAK) $(OAKFLAGS) --world oakworld-2.bin --dump $@ \
	   -- \
	   --locale compiler-locale \
	   $(foreach f, $(COMPFILES:.oa=),--load $(f)) \
	   --locale system-locale --exit

oakworld.bin: oakworld-3.bin $(RNRSFILES)
	$(OAK) $(OAKFLAGS) --world oakworld-3.bin --dump $@ \
	  -- \
	  --eval '(define-instance scheme-locale locale (list system-locale))'\
	  --locale scheme-locale \
	  $(foreach f, $(RNRSFILES:.oa=),--load $(f)) \
	  --locale system-locale --exit

# How to rebuild variables included by this Makefile itself:

Makefile-vars: $(MAKEFILES) $(FILESFILES)
	$(OAK) $(OAKFLAGS) \
	   -- \
	   --load files --load make-makefile --eval '(make-makefile "$@")' \
	   --exit

d=$(DESTDIR)$(prefix)/lib/oaklisp

.PHONY: install
install: oakworld.bin
	mkdir --parents $d
	cp -a $^ $d/

.PHONY: clean
clean: clean-oa-files
	-rm -f oakworld{-1,-2,-3}.bin new.cold new.sym

.PHONY: clean-oa-files
clean-oa-files:
	-rm -f $(ALLOAFILES)

.PHONY: reallyclean
reallyclean: clean
	-rm -f oakworld.bin

## oaklisp 1.3.6

=== debian/changelog ===
oaklisp (1.3.6-2) unstable; urgency=medium

  * tweaks to not run LaTeX during build-arch, should help port to 68k

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 15 Mar 2015 11:12:19 +0000

oaklisp (1.3.6-1) unstable; urgency=medium

  * new upstream version
  * allow build on bigendian architectures

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 13 Mar 2015 19:40:05 +0000

oaklisp (1.3.5-2) unstable; urgency=medium

  * debian/control: squash continuation lines in architecture field

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 11 Mar 2015 06:36:14 +0000

oaklisp (1.3.5-1) unstable; urgency=medium

  * debian/copyright: update to modern format
  * debian/oaklisp-doc.doc-base.3: add summary document
  * debian/source/local-options: enable single-debian-patch source format
  * new upstream version
  * adapt to new autotool upstream build scripts
    - debian/rules: simplify in light up upstream build system tweaks
    - debian/control: relax architecture to anything little-endian

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 10 Mar 2015 21:55:46 +0000

oaklisp (1.3.4-1) unstable; urgency=low
  
  * debian/control: priority option per override (debian/control)
  * debian/control: bump debian policy
  * debian/rules: bump to dh 9
  * debian/control: build dependency on gcc-multiarch for amd64
  * debian/control: update vcs browser url (closes: #528298)
  * debian/control: longer descriptions
  * new upstream version
  * adapt to new autotool upstream build scripts
    - debian/rules: dh --with autoreconf
    - debian/control: build dependency on rubber for LaTeX
    - debian/control: remove build dependency on ghostscript
    - debian/control: build depend on autoconf-archive for AX_CFLAGS_WARN_ALL
    - debian/rules: use prebuilt world or installed oaklisp (closes: #534078)
    - debian/README-BUILDING.Debian: remove, see upstream BUILD.txt
    - general simplifications
    - let upstream do more of the installation
  
 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 03 Mar 2015 13:01:02 +0000

oaklisp (1.3.3-5) unstable; urgency=low

  * build dependency on ghostscript for ps2pdf

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 06 Jan 2011 23:17:58 +0000

oaklisp (1.3.3-4) unstable; urgency=low

  * track change to Alioth's vcs-browser url
  * pass -m32 on amd64
  * bump debian policy
  * dh 8
  * latex changed, build depend on texlive-fonts-recommended (closes: #608376)
  * swizzle Vcs-* fields in debian/control from old CVS to new git repo
  * documentation in PDF instead of PostScript
  * update/simplify debian/rules

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 31 Dec 2010 00:07:14 -0500

oaklisp (1.3.3-3) unstable; urgency=low

  * include home page in control file
  * change priority from optional to extra
  * modernise update menu section
  * rev deb policy
  * new section: lisp
  * debian/control vcs and homepage fields

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 17 Mar 2009 21:38:03 +0000

oaklisp (1.3.3-2) unstable; urgency=low

  * rewrite debian/copyright according to the arbitrary whims of the
    ftpmasters without increasing its information content or usefulness
  * raise debhelper level to 7

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 23 Jul 2008 22:15:36 +0200

oaklisp (1.3.3-1) unstable; urgency=low

  * tetex-extra build dependency (closes: #136821)
  * remove silly build dependency on etags
  * patch from Len Sorensen for ARM architecture (closes: #306810)
  * patch from Ben Collins for m68k and SPARC (see #87535)
  * patch from Barry deFreese for m68k (see #65886)
  * general moving stuff around
  * restrict architecture to i386 (closes: #65886, #87535, #122117)
  * rev deb policy
  * back from the dead! (closes: #328597)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 14 Jul 2008 10:59:59 +0100

oaklisp (1.3.2) unstable; urgency=low

  * Patch for 68000.  Build dependency.  Split out documentation.

 -- Barak A. Pearlmutter <bap@cs.unm.edu>  Sun, 31 Dec 2000 13:06:21 -0500

=== debian/control ===
Source: oaklisp
Section: lisp
Priority: optional
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Standards-Version: 3.9.6
Build-Depends:
	debhelper (>= 9),
	dh-autoreconf,
	autoconf-archive,
	gcc-multilib [any-alpha any-amd64 any-arm64 any-ia64 any-mips64 any-mips64el any-ppc64 any-ppc64el any-s390x any-sparc64]
Build-Depends-Indep:
	texlive-latex-base, texlive-latex-extra, texlive-fonts-recommended,
	rubber
Homepage: http://oaklisp.alioth.debian.org/
Vcs-Git: https://alioth.debian.org/anonscm/git/oaklisp/oaklisp.git
Vcs-Browser: https://alioth.debian.org/scm/browser.php?group_id=100056

Package: oaklisp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Object-oriented dialect of Scheme
 Oaklisp is a dialect of Scheme that combines lexical scoping with
 first-class types.  It uses a byte-coded implementation, but is
 reasonably fast anyway.  Complete with bignums, formatted output,
 transparent delays, RnRS compatibility package; all the luxuries
 except floating point and foreign function calls.

Package: oaklisp-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: oaklisp, postscript-viewer
Description: Object-oriented dialect of Scheme, documentation
 Documentation for the Oaklisp object-oriented dialect of Scheme.
 Oaklisp is a dialect of Scheme that combines lexical scoping with
 first-class types.  It uses a byte-coded implementation, but is
 reasonably fast anyway.  Complete with bignums, formatted output,
 transparent delays, RnRS compatibility package; all the luxuries
 except floating point and foreign function calls.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure-arch:
	dh_auto_configure -- --disable-docs

override_dh_auto_install:
	dh_auto_install
	-rm --verbose debian/tmp/usr/share/doc/oaklisp/ChangeLog
	-rm --verbose debian/tmp/usr/share/doc/oaklisp/COPYING

## oaklisp 1.3.7

=== debian/changelog ===
oaklisp (1.3.7-4) unstable; urgency=medium

  * #;e

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 04 Apr 2022 08:55:24 +0100

oaklisp (1.3.7-3) unstable; urgency=low

  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.0, no changes needed.

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 07 Aug 2020 15:21:24 -0000

oaklisp (1.3.7-2) unstable; urgency=medium

  * debian/control: swizzle homepage off alioth
  * debian/control: build depend gcc-multilib [any-riscv64] (closes: #906672)
  * debian/control: bump policy version
  * upstream, put cp from prebuilt outside cd (closes: #906676)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 20 Aug 2018 09:45:06 +0200

oaklisp (1.3.7-1) unstable; urgency=medium

  * upstream release
  * bump policy version, no changes required
  * dh11
  * support build option nodoc
  * install oaklisp-docs docs in /usr/share/doc/oaklisp
  * secure some debian/ URLs
  * swizzle packaging repo to salza
  * point at github repo for homepage

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 30 Jul 2018 17:02:44 +0200

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,21 @@
 Section: lisp
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 4.6.0
 Build-Depends:
-	debhelper (>= 9),
-	dh-autoreconf,
+	debhelper-compat (= 13),
 	autoconf-archive,
-	gcc-multilib [any-alpha any-amd64 any-arm64 any-ia64 any-mips64 any-mips64el any-ppc64 any-ppc64el any-s390x any-sparc64]
+	gcc-multilib [any-alpha any-amd64 any-arm64 any-ia64 any-mips64 any-mips64el any-ppc64 any-ppc64el any-riscv64 any-s390x any-sparc64]
 Build-Depends-Indep:
-	texlive-latex-base, texlive-latex-extra, texlive-fonts-recommended,
-	rubber
-Homepage: http://oaklisp.alioth.debian.org/
-Vcs-Git: https://alioth.debian.org/anonscm/git/oaklisp/oaklisp.git
-Vcs-Browser: https://alioth.debian.org/scm/browser.php?group_id=100056
+	texlive-latex-base <!nodoc>, texlive-latex-extra <!nodoc>, texlive-fonts-recommended <!nodoc>,
+	latexmk <!nodoc>,  texlive-font-utils <!nodoc>,  ghostscript <!nodoc>
+Homepage: https://github.com/barak/oaklisp/
+Vcs-Git: https://salsa.debian.org/debian/oaklisp.git
+Vcs-Browser: https://salsa.debian.org/debian/oaklisp
 
 Package: oaklisp
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Object-oriented dialect of Scheme
  Oaklisp is a dialect of Scheme that combines lexical scoping with
@@ -29,6 +29,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
+Build-Profiles: <!nodoc>
 Suggests: oaklisp, postscript-viewer
 Description: Object-oriented dialect of Scheme, documentation
  Documentation for the Oaklisp object-oriented dialect of Scheme.

## oaklisp 1.3.8

=== debian/changelog ===
oaklisp (1.3.8-2) unstable; urgency=medium

  * remove arch s390x; no more 32-bit pointer models (closes: #1125241)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 11 Jan 2026 16:19:17 +0000

oaklisp (1.3.8-1) unstable; urgency=medium

  * Proper fix for GCC 15 issue

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 02 Jan 2026 22:11:42 +0000

oaklisp (1.3.7-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1097487)

 -- Adrian Bunk <bunk@debian.org>  Wed, 22 Oct 2025 22:15:54 +0300

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: oaklisp
 Section: lisp
-Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.7.3
 Build-Depends:
 	debhelper-compat (= 13),
 	autoconf-archive,
-	gcc-multilib [any-alpha any-amd64 any-arm64 any-ia64 any-mips64 any-mips64el any-ppc64 any-ppc64el any-riscv64 any-s390x any-sparc64]
+	gcc-multilib [any-alpha any-amd64 any-arm64 any-ia64 any-mips64 any-mips64el any-ppc64 any-ppc64el any-riscv64 any-sparc64]
 Build-Depends-Indep:
 	texlive-latex-base <!nodoc>, texlive-latex-extra <!nodoc>, texlive-fonts-recommended <!nodoc>,
 	latexmk <!nodoc>,  texlive-font-utils <!nodoc>,  ghostscript <!nodoc>
